Page MenuHomePhabricator

[GWP-ASan] Minor refactor of optional components.
ClosedPublic

Authored by hctim on Jan 5 2021, 1:36 PM.

Details

Summary

In preparation for the inbuilt options parser, this is a minor refactor
of optional components including:

  • Putting certain optional elements in the right header files, according to their function and their dependencies.
  • Cleaning up some old and mostly-dead code.
  • Moving some functions into anonymous namespaces to prevent symbol export.

Diff Detail

Event Timeline

hctim created this revision.Jan 5 2021, 1:36 PM
hctim requested review of this revision.Jan 5 2021, 1:36 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 5 2021, 1:36 PM
Herald added a subscriber: Restricted Project. · View Herald Transcript
hctim updated this revision to Diff 314711.Jan 5 2021, 1:40 PM
  • Updated some bits on fuchsia that weren't caught in my checkbuild.
hctim updated this revision to Diff 314728.Jan 5 2021, 2:49 PM
  • Restore one header file to a smaller diff.
hctim added a comment.Jan 8 2021, 10:14 AM

(friendly ping)

cryptoad added inline comments.Jan 8 2021, 11:01 AM
compiler-rt/lib/gwp_asan/optional/segv_handler_fuchsia.cpp
14

namespace has to be changed for Fuchsia

hctim updated this revision to Diff 315455.Jan 8 2021, 11:07 AM
hctim marked an inline comment as done.
  • Update namespace in fuchsia file.
cryptoad accepted this revision.Jan 8 2021, 12:05 PM

Compiles and tests pass on Fuchsia.
The changes themselves look good to me.

This revision is now accepted and ready to land.Jan 8 2021, 12:05 PM

@eugenis - friendly ping

eugenis accepted this revision.Jan 13 2021, 5:11 PM

LGTM

This revision was landed with ongoing or failed builds.Jan 14 2021, 11:14 AM
This revision was automatically updated to reflect the committed changes.